Package it.ernytech.tdlib

## Class TdApi.Video

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Video

Enclosing class:
  TdApi

    public static class TdApi.Video
    extends TdApi.Object

Describes a video file.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `duration` Duration of the video, in seconds; as defined by the sender.
`java.lang.String` `fileName` Original name of the file; as defined by the sender.
`boolean` `hasStickers` True, if stickers were added to the photo.
`int` `height` Video height; as defined by the sender.
`java.lang.String` `mimeType` MIME type of the file; as defined by the sender.
`boolean` `supportsStreaming` True, if the video should be tried to be streamed.
`TdApi.PhotoSize` `thumbnail` Video thumbnail; as defined by the sender; may be null.
`TdApi.File` `video` File containing the video.
`int` `width` Video width; as defined by the sender.

### Constructor Summary

Constructors
`Video()` Default constructor.
`Video​(int duration, int width, int height, java.lang.String fileName, java.lang.String mimeType, boolean hasStickers, boolean supportsStreaming, TdApi.PhotoSize thumbnail, TdApi.File video)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### duration

    public int duration

Duration of the video, in seconds; as defined by the sender.

#### width

    public int width

Video width; as defined by the sender.

#### height

    public int height

Video height; as defined by the sender.

#### fileName

    public java.lang.String fileName

Original name of the file; as defined by the sender.

#### mimeType

    public java.lang.String mimeType

MIME type of the file; as defined by the sender.

#### hasStickers

    public boolean hasStickers

True, if stickers were added to the photo.

#### supportsStreaming

    public boolean supportsStreaming

True, if the video should be tried to be streamed.

#### thumbnail

    public TdApi.PhotoSize thumbnail

Video thumbnail; as defined by the sender; may be null.

#### video

    public TdApi.File video

File containing the video.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Video

    public Video()

Default constructor.

#### Video

    public Video​(int duration,
                 int width,
                 int height,
                 java.lang.String fileName,
                 java.lang.String mimeType,
                 boolean hasStickers,
                 boolean supportsStreaming,
                 TdApi.PhotoSize thumbnail,
                 TdApi.File video)

Constructor for initialization of all fields.

Parameters:
  `duration` - Duration of the video, in seconds; as defined by the sender.
  `width` - Video width; as defined by the sender.
  `height` - Video height; as defined by the sender.
  `fileName` - Original name of the file; as defined by the sender.
  `mimeType` - MIME type of the file; as defined by the sender.
  `hasStickers` - True, if stickers were added to the photo.
  `supportsStreaming` - True, if the video should be tried to be streamed.
  `thumbnail` - Video thumbnail; as defined by the sender; may be null.
  `video` - File containing the video.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR